--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: TypedSexp
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: _set_sexp_type
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: pretty_print
- !ruby/object:RI::MethodSummary 
  name: sexp_type
- !ruby/object:RI::MethodSummary 
  name: sexp_type=
- !ruby/object:RI::MethodSummary 
  name: sexp_types
- !ruby/object:RI::MethodSummary 
  name: to_a
- !ruby/object:RI::MethodSummary 
  name: to_s
name: TypedSexp
superclass: Sexp
